View Issue Details

IDProjectCategoryView StatusLast Update
0002004Ham Radio DeluxeBugpublic2018-03-30 10:48
Reporteruser55 
Assigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0002004: Logbook Data Corruption
DescriptionOverwriting / Duplication of Logbook entries
 
Background
Having used HamRadioDeluxe for a number of years I have on occasions noticed duplicate log entries and whilst checking for a recent contact I became aware of the reasons why. It would appear that under certain circumstances when using ALE to ‘Find’ previous Contacts with a station and then editing an entry, duplication/over writing of data occurs. For the problem to occur, you must have had at least two contacts with the same station.
 
Steps To ReproduceFind a contact in your Logbook that you have worked on more than one occasion.
Set Filter to the selected Callsign.
You should now see just the Log Entries for the above Callsign.
Double click on the Contact in the Logbook to open up ALE (1).
Click “Find” (to the right of Callsign) to display a list of previous contacts.
Double click on a different entry in the list of previous contacts to open up ALE (2).
Click ‘Update (F7)’ this will close ALE (2).
No changes made at this stage.
Click on ‘Update (F7)’ this will close ALE (1).
On checking your Log Entries you will now find that ALE(2) have been over written by ALE (1).
You can repeat line 6 as many times as you like to open up other Log Entries and then close them by clicking on ‘Update (F7)’.
 
If there are more than two entries for the station worked and you edit each one in turn, you could end up with all entries being the same.
 
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0002639 new 1 - Backlog (Logbook) Editing Data in ALE (using Prev / Next buttons) messes with the data 

Activities

K7ZCZ

2017-06-01 02:35

manager   ~0003186

I have a fix coded.

WA9PIE

2017-06-21 20:59

administrator   ~0003239

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003258

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 08:24

viewer   ~0003294

Clicking on the Logbook ALE button does not open the ALE window.
See my issue 0002077

g3ucq

2017-06-24 08:45

viewer   ~0003296

0002004 is fixed.
The ALE Logbook button is now working for me so was able to test this issue.

WA9PIE

2017-06-25 21:25

administrator   ~0003301

I went through the steps to reproduce and can verify that this problem is resolved.

WA9PIE

2017-07-04 23:30

administrator   ~0003477

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003512

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 03:57

viewer   ~0003534

Fixed

WA9PIE

2017-07-05 19:39

administrator   ~0003549

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2017-03-23 04:01 user55 New Issue
2017-03-23 13:49 WA9PIE Project 1 - Backlog => 2 - Next Dev List (Holding Area)
2017-05-31 21:14 K7ZCZ Assigned To => K7ZCZ
2017-05-31 21:14 K7ZCZ Status new => assigned
2017-06-01 02:35 K7ZCZ Note Added: 0003186
2017-06-01 02:36 K7ZCZ Status assigned => resolved
2017-06-01 02:36 K7ZCZ Resolution open => fixed
2017-06-01 02:36 K7ZCZ Sub-Module => ALE Window
2017-06-01 02:36 K7ZCZ Fixed in Release => TBD
2017-06-19 22:58 WA9PIE Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003239
2017-06-21 21:10 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.652 =>
2017-06-21 21:59 K7ZCZ Fixed in Version => 6.4.0.652
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003258
2017-06-24 08:24 g3ucq Note Added: 0003294
2017-06-24 08:45 g3ucq Note Added: 0003296
2017-06-25 21:25 WA9PIE Note Added: 0003301
2017-06-25 21:29 WA9PIE Status assigned => resolved
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-07-01 08:23 WA9PIE Target Version => 6.4.0.652
2017-07-01 08:23 WA9PIE Fixed in Version 6.4.0.652 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003477
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003512
2017-07-05 03:57 g3ucq Note Added: 0003534
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003549
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.652 =>
2018-03-30 10:48 K7ZCZ Relationship added related to 0002639